Change a user password
curl --request POST \
--url https://b2b-api-sandbox.easyonramp.com/api/v1/users/{id}/password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"oldPassword": "OldStr0ng!Pass",
"newPassword": "NewStr0ng!Pass",
"confirmPassword": "NewStr0ng!Pass"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
oldPassword: 'OldStr0ng!Pass',
newPassword: 'NewStr0ng!Pass',
confirmPassword: 'NewStr0ng!Pass'
})
};
fetch('https://b2b-api-sandbox.easyonramp.com/api/v1/users/{id}/password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://b2b-api-sandbox.easyonramp.com/api/v1/users/{id}/password"
payload = {
"oldPassword": "OldStr0ng!Pass",
"newPassword": "NewStr0ng!Pass",
"confirmPassword": "NewStr0ng!Pass"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://b2b-api-sandbox.easyonramp.com/api/v1/users/{id}/password"
payload := strings.NewReader("{\n \"oldPassword\": \"OldStr0ng!Pass\",\n \"newPassword\": \"NewStr0ng!Pass\",\n \"confirmPassword\": \"NewStr0ng!Pass\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Users
Change a user password
Update an end user password. Requires the current password, new password, and confirmation. Same password policy as retail signup.
POST
/
api
/
v1
/
users
/
{id}
/
password
Change a user password
curl --request POST \
--url https://b2b-api-sandbox.easyonramp.com/api/v1/users/{id}/password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"oldPassword": "OldStr0ng!Pass",
"newPassword": "NewStr0ng!Pass",
"confirmPassword": "NewStr0ng!Pass"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
oldPassword: 'OldStr0ng!Pass',
newPassword: 'NewStr0ng!Pass',
confirmPassword: 'NewStr0ng!Pass'
})
};
fetch('https://b2b-api-sandbox.easyonramp.com/api/v1/users/{id}/password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://b2b-api-sandbox.easyonramp.com/api/v1/users/{id}/password"
payload = {
"oldPassword": "OldStr0ng!Pass",
"newPassword": "NewStr0ng!Pass",
"confirmPassword": "NewStr0ng!Pass"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://b2b-api-sandbox.easyonramp.com/api/v1/users/{id}/password"
payload := strings.NewReader("{\n \"oldPassword\": \"OldStr0ng!Pass\",\n \"newPassword\": \"NewStr0ng!Pass\",\n \"confirmPassword\": \"NewStr0ng!Pass\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Authorizations
Bearer JWT issued to your business account during onboarding
Path Parameters
Body
application/json
Response
200
Password updated successfully